> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# CDC ClickPipes 스케일링 조회

> **이 endpoint는 베타 상태입니다.** API 계약은 안정적이며, 앞으로 호환되지 않는 변경 사항은 없을 것으로 예상됩니다. <br /><br /> DB ClickPipes의 스케일링 설정을 가져옵니다.

인프라는 서비스의 모든 DB ClickPipes에서 공유되며, 초기 적재와 CDC 모두에 사용됩니다. 청구 기준으로 CPU 코어 2개와 RAM 8GB는 1개의 compute unit에 [해당합니다](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc).

**이 endpoint는 최소 1개의 DB ClickPipe가 프로비저닝된 후에 사용할 수 있습니다.**



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling:
    get:
      tags:
        - ClickPipes
      summary: CDC ClickPipes 스케일링 조회
      description: >-
        **이 endpoint는 베타 상태입니다.** API 계약은 안정적이며, 앞으로 호환되지 않는 변경 사항은 없을 것으로
        예상됩니다. <br /><br /> DB ClickPipes의 스케일링 설정을 가져옵니다.


        인프라는 서비스의 모든 DB ClickPipes에서 공유되며, 초기 적재와 CDC 모두에 사용됩니다. 청구 기준으로 CPU 코어
        2개와 RAM 8GB는 1개의 compute unit에
        [해당합니다](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc).


        **이 endpoint는 최소 1개의 DB ClickPipe가 프로비저닝된 후에 사용할 수 있습니다.**
      parameters:
        - description: 서비스를 소유한 organization의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ClickPipe를 소유한 서비스의 ID입니다.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 모든 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipesCdcScaling'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공적인 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    ClickPipesCdcScaling:
      properties:
        replicaCpuMillicores:
          description: DB ClickPipes용 CPU(밀리코어)입니다.
          example: 2000
          maximum: 24000
          minimum: 1000
          multipleOf: 1000
          type: integer
        replicaMemoryGb:
          description: DB ClickPipes용 메모리(GiB)입니다. CPU 코어 수의 4배여야 합니다.
          example: 8
          maximum: 96
          minimum: 4
          multipleOf: 4
          type: number
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````